<?php

	include("../conexion.php");
	set_time_limit(800);

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");

		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 2000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{
				$num = count($data);

				$insertar="INSERT INTO articulos (art_id,art_referencia,art_barras,art_nombre,art_precio_costo,art_pvp,art_iva,art_tipo_imp,art_estado,art_tipo,familias_fam_id,proveedor_pro_id,marca_mar_id,ubicacion_ubi_id,art_venta_min,empresa) 
				values('$data[0]','$data[1]','$data[2]','$data[3]','$data[5]','$data[11]','$data[9]','1','Activo','articulo','1','$data[6]','1','1','1','1')";
					$sql = mysqli_query($con, $insertar);

					$insertar1="INSERT INTO articulos_presentacion (pres_id,pres_art_id,pres_unidad,pres_cantidad,pres_precio,pres_factor,pres_defecto) 
				values('$data[0]','$data[0]','UND','1','$data[11]','M','si')";
					$sql1 = mysqli_query($con, $insertar1);


					$insertar2="INSERT INTO articulos_has_bodegas (art_id,articulos_art_id,art_cantidad,art_minimo,atributo1,atributo2,bodegas,sucursal,empresa) 
				values('$data[0]','$data[0]','0','1','0','0','1','1','1')";
					$sql2 = mysqli_query($con, $insertar2);

				$insertar3="INSERT  INTO precio (pre_id,pre_precio,tarifas_tar_id,articulos_art_id,empresa) 
				values('$data[0]','$data[11]','1','$data[0]','1')";
					$sql3 = mysqli_query($con, $insertar3);		
			}

		$row++;

		}

		fclose ($fp);

		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>